# create-user

~~~
create-user: créer un utilisateur sudoer et lui installer une clé publique ssh

USAGE
    create-user user [-p pubkey]

OPTIONS
    -p, --pkfile PKFILE
        Installer la clé publique ssh contenue dans le fichier spécifié. Par
        défaut, prendre le fichier ~/.ssh/id_rsa.pub de l'utilisateur courant.
    -s, --pkstring PUBKEY
        Installer la clé publique ssh spécifiée. Cette option avancée n'est pas
        utilisée en temps normal. Elle a la priorité sur l'option --pkfile
    -l, --luser
        Ne pas donner à l'utilisateur le droit de sudoer.
    -h, --host [USER@]HOST
        Créer l'utilisateur sur l'hôte distant spécifié. Si l'utilisateur
        distant n'est pas root, il doit être sudoer.
    -T, --tmproot TMPROOT
        Spécifier le répertoire temporaire sur l'hôte distant, comme par exemple
        /var/tmp. Cette option est utile pour certains serveurs, qui ont un /tmp
        minuscule.
    -S, --ssh SSH
        Spécifier le programme à utiliser pour la connection par ssh.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary